Package org.apache.velocity.runtime.directive

# Class Scope.Info

java.lang.Object
org.apache.velocity.runtime.directive.Scope.Info

Enclosing class:
  `Scope`

public static class Scope.Info extends Object
Class to encapsulate and provide access to info about the current scope for debugging.

## Constructor Summary

Constructors
Constructor
Description
`Info(Scope scope, Object owner)`
c'tor

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumn()`
column getter
`int`
`getDepth()`
current depth
`int`
`getLine()`
line getter
`String`
`getName()`
name getter
`String`
`getTemplate()`
template name getter
`String`
`getType()`
type getter
`String`
`toString()`
string representation getter

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Info

public Info(Scope scope, Object owner)
c'tor

Parameters:
  `scope` -
  `owner` -

## Method Details

### getName

public String getName()
name getter

Returns:
  name

### getType

public String getType()
type getter

Returns:
  scope type

### getDepth

public int getDepth()
current depth

Returns:
  depth

### getTemplate

public String getTemplate()
template name getter

Returns:
  template name

### getLine

public int getLine()
line getter

Returns:
  line number

### getColumn

public int getColumn()
column getter

Returns:
  column number

### toString

public String toString()
string representation getter

Overrides:
  `toString` in class `Object`
Returns:
  string representation